Page MenuHomePhabricator

Change the label of the $RCMaxAge option in the watchlist dropdown form "all" to $wgRCMaxAge itself
Closed, ResolvedPublic

Description

Since the watchlist design is changed (T50615), the option for $wgRCMaxAge has converted from $wgRCMaxAge itself to all. This is suboptimal, because the sentence completed by the dropdown isn't grammatically correct in many language and the claim all edits are displayed until limit is reaches is wrong too. That's why 'all' should be re-replaced by $wgRCMaxAge.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

MGChecker created this task.Dec 4 2015, 9:04 PM
MGChecker raised the priority of this task from to Needs Triage.
MGChecker updated the task description. (Show Details)
MGChecker added a project: MediaWiki-Watchlist.
MGChecker added subscribers: MGChecker, Luke081515, Aklapper.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 4 2015, 9:04 PM
MGChecker renamed this task from Change the lable of the $RCMaxAge option form "all" to $RCMaxAge itself to Change the label of the $RCMaxAge in the watchlist dropdown option form "all" to $RCMaxAge itself.Dec 4 2015, 9:05 PM
MGChecker renamed this task from Change the label of the $RCMaxAge in the watchlist dropdown option form "all" to $RCMaxAge itself to Change the label of the $RCMaxAge option in the watchlist dropdown form "all" to $RCMaxAge itself.
MGChecker set Security to None.
matmarex claimed this task.Dec 7 2015, 12:36 AM
matmarex triaged this task as Low priority.
matmarex renamed this task from Change the label of the $RCMaxAge option in the watchlist dropdown form "all" to $RCMaxAge itself to Change the label of the $RCMaxAge option in the watchlist dropdown form "all" to $wgRCMaxAge itself.Jan 24 2016, 4:03 PM
matmarex updated the task description. (Show Details)

Change 266072 had a related patch set uploaded (by Bartosz Dziewoński):
SpecialWatchlist: Display actual number of days for the "all" option

https://gerrit.wikimedia.org/r/266072

Florian closed this task as Resolved.Jan 25 2016, 8:22 PM

Change 266072 merged by jenkins-bot:
SpecialWatchlist: Display actual number of days for the "all" option

https://gerrit.wikimedia.org/r/266072